diff --git a/dports/lang/gcc49/Portfile b/dports/lang/gcc49/Portfile
index 328af51..26c990b 100644
--- a/dports/lang/gcc49/Portfile
+++ b/dports/lang/gcc49/Portfile
@@ -8,10 +8,8 @@ PortGroup compiler_blacklist_versions 1.0
 name                gcc49
 subport             libgcc {}
 
-# TODO: On next update, increase epoch to 2 and remove libgcc's separate epoch.
-epoch               1
-version             4.9.1
-revision            1
+epoch               2
+version             4.9.2
 platforms           darwin
 categories          lang
 maintainers         mww openmaintainer
@@ -31,8 +29,8 @@ master_sites        ftp://ftp.funet.fi/pub/mirrors/sources.redhat.com/pub/gcc/re
 distname            gcc-${version}
 use_bzip2           yes
 
-checksums           rmd160  7a829a260648a190afa1d6c616c78ddc861f4f7d \
-                    sha256  d334781a124ada6f38e63b545e2a3b8c2183049515a1abab6d513f109f1d717e
+checksums           rmd160  bc6454e7c67c6f5fd2c98cdd1364ebb1739e1347 \
+                    sha256  2020c98295856aa13fda0f2f3a4794490757fc24bcca918d52cc8b4917b972dd
 
 depends_lib         port:gmp port:mpfr port:libiconv port:libmpc path:lib/pkgconfig/cloog-isl.pc:cloog path:lib/libgcc/libgcc_s.1.dylib:libgcc port:ld64 port:cctools
 depends_run         port:gcc_select
@@ -40,9 +38,11 @@ depends_run         port:gcc_select
 depends_skip_archcheck-append gcc_select ld64 cctools
 license_noconflict  gmp mpfr ppl libmpc
 
-patch.pre_args      -p1
-patchfiles          Fix-__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__.patch \
-                    yosemite-symbol-lookup.patch
+patchfiles-append   yosemite-symbol-lookup.patch
+
+# Handle deployment targets correctly (GCC PR target/63810
+# <https://gcc.gnu.org/bugzilla/show_bug.cgi?id=63810>).
+patchfiles-append   macosx-deployment-target-macro.patch
 
 set major           4.9
 
@@ -113,8 +113,6 @@ destroot.target     install install-info-host
 if {${subport} eq "libgcc"} {
     conflicts       libgcc-devel
 
-    epoch 2
-
     # http://trac.macports.org/ticket/35770
     # http://trac.macports.org/ticket/38814
     # While there can be multiple versions of these runtimes in a single
diff --git a/dports/lang/gcc49/files/macosx-deployment-target-macro.patch b/dports/lang/gcc49/files/macosx-deployment-target-macro.patch
new file mode 100644
index 0000000..5f5eb3e
--- /dev/null
+++ b/dports/lang/gcc49/files/macosx-deployment-target-macro.patch
@@ -0,0 +1,405 @@
+Index: gcc/config/darwin-c.c
+===================================================================
+--- gcc/config/darwin-c.c.orig
++++ gcc/config/darwin-c.c
+@@ -570,42 +570,167 @@ find_subframework_header (cpp_reader *pf
+   return 0;
+ }
+ 
+-/* Return the value of darwin_macosx_version_min suitable for the
+-   __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ macro, so '10.4.2'
+-   becomes 1040 and '10.10.0' becomes 101000.  The lowest digit is
+-   always zero, as is the second lowest for '10.10.x' and above.
+-   Print a warning if the version number can't be understood.  */
++/*  Given a version string, return the version as a statically-allocated
++    array of three non-negative integers.  If the version string is
++    invalid, return null.
++
++    Version strings must consist of one, two, or three tokens, each
++    separated by a single period.  Each token must contain only the
++    characters '0' through '9' and is converted to an equivalent
++    integer.  Omitted tokens are treated as zeros.  For example:
++
++        "10"              becomes   {10,0,0}
++        "10.10"           becomes   {10,10,0}
++        "10.10.1"         becomes   {10,10,1}
++        "10.000010.1"     becomes   {10,10,1}
++        "10.010.001"      becomes   {10,10,1}
++        "000010.10.00001" becomes   {10,10,1}  */
++
++enum version_components { MAJOR, MINOR, TINY };
++
++static const unsigned long *
++parse_version (const char *version_str)
++{
++  size_t version_len;
++  char *end;
++  static unsigned long version_array[3];
++
++  if (! version_str)
++    return NULL;
++
++  version_len = strlen (version_str);
++  if (version_len < 1)
++    return NULL;
++
++  /* Version string must consist of digits and periods only.  */
++  if (strspn (version_str, "0123456789.") != version_len)
++    return NULL;
++
++  if (! ISDIGIT (version_str[0]) || ! ISDIGIT (version_str[version_len - 1]))
++    return NULL;
++
++  version_array[MAJOR] = strtoul (version_str, &end, 10);
++  version_str = end + ((*end == '.') ? 1 : 0);
++
++  /* Version string must not contain adjacent periods.  */
++  if (*version_str == '.')
++    return NULL;
++
++  version_array[MINOR] = strtoul (version_str, &end, 10);
++  version_str = end + ((*end == '.') ? 1 : 0);
++
++  version_array[TINY] = strtoul (version_str, &end, 10);
++
++  /* Version string must contain no more than three tokens.  */
++  if (*end != '\0')
++    return NULL;
++
++  return version_array;
++}
++
++/*  Given a three-component version represented as an array of
++    non-negative integers, return a statically-allocated string suitable
++    for the legacy __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ macro.
++    If the version is invalid and cannot be coerced into a valid form,
++    return null.
++
++    The legacy format is a four-character string -- two chars for the
++    major number and one each for the minor and tiny numbers.  Major
++    numbers are zero-padded if necessary.  Minor and tiny numbers from
++    10 through 99 are permitted but are clamped to 9 (for example,
++    {10,9,10} produces "1099").  Versions containing numbers greater
++    than 99 are rejected.  */
++
+ static const char *
+-version_as_macro (void)
++version_as_legacy_macro (const unsigned long *version)
+ {
+-  static char result[7] = "1000";
+-  int minorDigitIdx;
++  unsigned long major = version[MAJOR];
++  unsigned long minor = version[MINOR];
++  unsigned long tiny = version[TINY];
++  static char result[sizeof "9999"];
++
++  if (major > 99 || minor > 99 || tiny > 99)
++    return NULL;
++
++  minor = ((minor > 9) ? 9 : minor);
++  tiny = ((tiny > 9) ? 9 : tiny);
++
++  /* NOTE: Cast result of sizeof so that result of sprintf is not
++     converted to an unsigned type.  */
++  if (sprintf (result, "%02lu%lu%lu", major, minor, tiny)
++      != (int) sizeof "9999" - 1)
++    return NULL;
+ 
+-  if (strncmp (darwin_macosx_version_min, "10.", 3) != 0)
++  return result;
++}
++
++/*  Given a three-component version represented as an array of
++    non-negative integers, return a statically-allocated string suitable
++    for the modern __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ macro
++    or the __ENVIRONMENT_IPHONE_OS_VERSION_MIN_REQUIRED__ macro.  If the
++    version is invalid, return null.
++
++    The modern format is a five- or six-character string -- one or two
++    chars for the major number and two each for the minor and tiny
++    numbers, which are zero-padded if necessary (for example, {8,1,0}
++    produces "80100", and {10,10,1} produces "101001").  Versions
++    containing numbers greater than 99 are rejected.  */
++
++static const char *
++version_as_modern_macro (const unsigned long *version)
++{
++  unsigned long major = version[MAJOR];
++  unsigned long minor = version[MINOR];
++  unsigned long tiny = version[TINY];
++  static char result[sizeof "999999"];
++
++  if (major > 99 || minor > 99 || tiny > 99)
++    return NULL;
++
++  /* NOTE: 'sizeof "foo"' returns size of char array, but
++     'sizeof ((x > y) ? "foo" : "bar")' returns size of char pointer.  */
++  /* NOTE: Cast result of sizeof so that result of sprintf is not
++     converted to an unsigned type.  */
++  if (sprintf (result, "%lu%02lu%02lu", major, minor, tiny)
++      != (int) ((major > 9) ? sizeof "999999" : sizeof "99999") - 1)
++    return NULL;
++
++  return result;
++}
++
++/*  Return the value of darwin_macosx_version_min, suitably formatted
++    for the __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ macro.  (For
++    example, "10.9" produces "1090", and "10.10.1" produces "101001".)
++    If its value is invalid and cannot be coerced into a valid form,
++    print a warning and return "1000".  */
++
++static const char *
++macosx_version_as_macro (void)
++{
++  const unsigned long *version_array;
++  const char *version_macro;
++
++  version_array = parse_version (darwin_macosx_version_min);
++  if (! version_array)
+     goto fail;
+-  if (! ISDIGIT (darwin_macosx_version_min[3]))
++
++  /* Do not assume that the major number will always be exactly 10.  */
++  if (version_array[MAJOR] < 10 || version_array[MAJOR] > 10)
+     goto fail;
+ 
+-  minorDigitIdx = 3;
+-  result[2] = darwin_macosx_version_min[minorDigitIdx++];
+-  if (ISDIGIT (darwin_macosx_version_min[minorDigitIdx]))
+-  {
+-    /* Starting with OS X 10.10, the macro ends '00' rather than '0',
+-       i.e. 10.10.x becomes 101000 rather than 10100.  */
+-    result[3] = darwin_macosx_version_min[minorDigitIdx++];
+-    result[4] = '0';
+-    result[5] = '0';
+-    result[6] = '\0';
+-  }
+-  if (darwin_macosx_version_min[minorDigitIdx] != '\0'
+-      && darwin_macosx_version_min[minorDigitIdx] != '.')
++  if (version_array[MAJOR] == 10 && version_array[MINOR] < 10)
++    version_macro = version_as_legacy_macro (version_array);
++  else
++    version_macro = version_as_modern_macro (version_array);
++
++  if (! version_macro)
+     goto fail;
+ 
+-  return result;
++  return version_macro;
+ 
+  fail:
+   error ("unknown value %qs of -mmacosx-version-min",
+-	 darwin_macosx_version_min);
++         darwin_macosx_version_min);
+   return "1000";
+ }
+ 
+@@ -627,7 +752,7 @@ darwin_cpp_builtins (cpp_reader *pfile)
+     builtin_define ("__CONSTANT_CFSTRINGS__");
+ 
+   builtin_define_with_value ("__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__",
+-			     version_as_macro(), false);
++			     macosx_version_as_macro(), false);
+ 
+   /* Since we do not (at 4.6) support ObjC gc for the NeXT runtime, the
+      following will cause a syntax error if one tries to compile gc attributed
+Index: gcc/testsuite/gcc.dg/darwin-minversion-10.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-10.c
+@@ -0,0 +1,16 @@
++/* PR 63810: Test that a version with a zero-padded minor number < 10
++   and a zero-padded tiny number < 10 produces the correct
++   four-character macro.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=10.07.02" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 1072
++  fail me;
++#endif
++  return 0;
++}
+Index: gcc/testsuite/gcc.dg/darwin-minversion-11.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-11.c
+@@ -0,0 +1,15 @@
++/* PR 63810: Test that a version with outrageous zero-padding and
++   a minor number > 9 still produces a six-character macro.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=00010.010.0000098" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 101098
++  fail me;
++#endif
++  return 0;
++}
+Index: gcc/testsuite/gcc.dg/darwin-minversion-12.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-12.c
+@@ -0,0 +1,15 @@
++/* PR 63810: Test that a version with outrageous zero-padding and
++   a minor number < 10 still produces a four-character macro.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=010.008.000031" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 1089
++  fail me;
++#endif
++  return 0;
++}
+Index: gcc/testsuite/gcc.dg/darwin-minversion-3.c
+===================================================================
+--- gcc/testsuite/gcc.dg/darwin-minversion-3.c.orig
++++ gcc/testsuite/gcc.dg/darwin-minversion-3.c
+@@ -1,11 +1,11 @@
+-/* Test that most-minor versions greater than 9 work.  */
+-/* { dg-options "-mmacosx-version-min=10.4.10" } */
++/* Test that most minor versions < 10 work.  */
++/* { dg-options "-mmacosx-version-min=10.4.1" } */
+ /* { dg-do compile { target *-*-darwin* } } */
+ 
+ int
+ main ()
+ {
+-#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 1040
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 1041
+   fail me;
+ #endif
+   return 0;
+Index: gcc/testsuite/gcc.dg/darwin-minversion-4.c
+===================================================================
+--- gcc/testsuite/gcc.dg/darwin-minversion-4.c.orig
++++ gcc/testsuite/gcc.dg/darwin-minversion-4.c
+@@ -1,11 +1,11 @@
+-/* Test that major versions greater than 9 work and have the additional 0.  */
+-/* { dg-options "-mmacosx-version-min=10.10.0" } */
++/* Test that minor versions > 9 produce a 6-digit macro.  */
++/* { dg-options "-mmacosx-version-min=10.10.1" } */
+ /* { dg-do compile { target *-*-darwin* } } */
+ 
+ int
+ main ()
+ {
+-#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 101000
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 101001
+   fail me;
+ #endif
+   return 0;
+Index: gcc/testsuite/gcc.dg/darwin-minversion-5.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-5.c
+@@ -0,0 +1,15 @@
++/* PR 63810: Test that a version with minor number < 10 and tiny number > 9
++   produces a four-character macro with the tiny number clamped to 9.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=10.9.10" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 1099
++  fail me;
++#endif
++  return 0;
++}
+Index: gcc/testsuite/gcc.dg/darwin-minversion-6.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-6.c
+@@ -0,0 +1,14 @@
++/* PR 63810: Test that tiny numbers are preserved in six-character macros.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=10.10.11" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 101011
++  fail me;
++#endif
++  return 0;
++}
+Index: gcc/testsuite/gcc.dg/darwin-minversion-7.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-7.c
+@@ -0,0 +1,15 @@
++/* PR 63810: Test that tiny numbers < 10 are preserved in four-character
++   macros.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=10.9.1" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 1091
++  fail me;
++#endif
++  return 0;
++}
+Index: gcc/testsuite/gcc.dg/darwin-minversion-8.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-8.c
+@@ -0,0 +1,16 @@
++/* PR 63810: Test that a version with minor number > 9 and no tiny
++   number produces a six-character macro with "00" as the last two
++   characters.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=10.11" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 101100
++  fail me;
++#endif
++  return 0;
++}
+Index: gcc/testsuite/gcc.dg/darwin-minversion-9.c
+===================================================================
+--- /dev/null
++++ gcc/testsuite/gcc.dg/darwin-minversion-9.c
+@@ -0,0 +1,15 @@
++/* PR 63810: Test that a version with a zero-padded minor number < 10
++   produces a four-character macro.  */
++/* Added by Lawrence Velázquez <larryv@macports.org>.  */
++
++/* { dg-options "-mmacosx-version-min=10.08.4" } */
++/* { dg-do compile { target *-*-darwin* } } */
++
++int
++main ()
++{
++#if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ != 1084
++  fail me;
++#endif
++  return 0;
++}
diff --git a/dports/lang/gcc49/files/yosemite-symbol-lookup.patch b/dports/lang/gcc49/files/yosemite-symbol-lookup.patch
index a8eee2c..9b1bbd8 100644
--- a/dports/lang/gcc49/files/yosemite-symbol-lookup.patch
+++ b/dports/lang/gcc49/files/yosemite-symbol-lookup.patch
@@ -1,7 +1,7 @@
-Index: gcc-4.9.1/boehm-gc/configure
+Index: boehm-gc/configure
 ===================================================================
---- gcc-4.9.1.orig/boehm-gc/configure
-+++ gcc-4.9.1/boehm-gc/configure
+--- boehm-gc/configure.orig
++++ boehm-gc/configure
 @@ -7508,7 +7508,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -11,11 +11,11 @@ Index: gcc-4.9.1/boehm-gc/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/gcc/configure
+Index: gcc/configure
 ===================================================================
---- gcc-4.9.1.orig/gcc/configure
-+++ gcc-4.9.1/gcc/configure
-@@ -14415,7 +14415,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
+--- gcc/configure.orig
++++ gcc/configure
+@@ -14424,7 +14424,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
@@ -24,10 +24,10 @@ Index: gcc-4.9.1/gcc/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libatomic/configure
+Index: libatomic/configure
 ===================================================================
---- gcc-4.9.1.orig/libatomic/configure
-+++ gcc-4.9.1/libatomic/configure
+--- libatomic/configure.orig
++++ libatomic/configure
 @@ -7324,7 +7324,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -37,10 +37,10 @@ Index: gcc-4.9.1/libatomic/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libbacktrace/configure
+Index: libbacktrace/configure
 ===================================================================
---- gcc-4.9.1.orig/libbacktrace/configure
-+++ gcc-4.9.1/libbacktrace/configure
+--- libbacktrace/configure.orig
++++ libbacktrace/configure
 @@ -7576,7 +7576,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -50,10 +50,10 @@ Index: gcc-4.9.1/libbacktrace/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libcilkrts/configure
+Index: libcilkrts/configure
 ===================================================================
---- gcc-4.9.1.orig/libcilkrts/configure
-+++ gcc-4.9.1/libcilkrts/configure
+--- libcilkrts/configure.orig
++++ libcilkrts/configure
 @@ -7544,7 +7544,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -63,10 +63,10 @@ Index: gcc-4.9.1/libcilkrts/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libffi/configure
+Index: libffi/configure
 ===================================================================
---- gcc-4.9.1.orig/libffi/configure
-+++ gcc-4.9.1/libffi/configure
+--- libffi/configure.orig
++++ libffi/configure
 @@ -7125,7 +7125,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -76,11 +76,11 @@ Index: gcc-4.9.1/libffi/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libgfortran/configure
+Index: libgfortran/configure
 ===================================================================
---- gcc-4.9.1.orig/libgfortran/configure
-+++ gcc-4.9.1/libgfortran/configure
-@@ -8804,7 +8804,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
+--- libgfortran/configure.orig
++++ libgfortran/configure
+@@ -8805,7 +8805,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
@@ -89,10 +89,10 @@ Index: gcc-4.9.1/libgfortran/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libgo/configure
+Index: libgo/configure
 ===================================================================
---- gcc-4.9.1.orig/libgo/configure
-+++ gcc-4.9.1/libgo/configure
+--- libgo/configure.orig
++++ libgo/configure
 @@ -7243,7 +7243,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -102,10 +102,10 @@ Index: gcc-4.9.1/libgo/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libgomp/configure
+Index: libgomp/configure
 ===================================================================
---- gcc-4.9.1.orig/libgomp/configure
-+++ gcc-4.9.1/libgomp/configure
+--- libgomp/configure.orig
++++ libgomp/configure
 @@ -7312,7 +7312,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -115,10 +115,10 @@ Index: gcc-4.9.1/libgomp/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libitm/configure
+Index: libitm/configure
 ===================================================================
---- gcc-4.9.1.orig/libitm/configure
-+++ gcc-4.9.1/libitm/configure
+--- libitm/configure.orig
++++ libitm/configure
 @@ -8002,7 +8002,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -128,10 +128,10 @@ Index: gcc-4.9.1/libitm/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libjava/classpath/configure
+Index: libjava/classpath/configure
 ===================================================================
---- gcc-4.9.1.orig/libjava/classpath/configure
-+++ gcc-4.9.1/libjava/classpath/configure
+--- libjava/classpath/configure.orig
++++ libjava/classpath/configure
 @@ -8368,7 +8368,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -141,10 +141,10 @@ Index: gcc-4.9.1/libjava/classpath/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libjava/configure
+Index: libjava/configure
 ===================================================================
---- gcc-4.9.1.orig/libjava/configure
-+++ gcc-4.9.1/libjava/configure
+--- libjava/configure.orig
++++ libjava/configure
 @@ -9580,7 +9580,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -154,10 +154,10 @@ Index: gcc-4.9.1/libjava/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libobjc/configure
+Index: libobjc/configure
 ===================================================================
---- gcc-4.9.1.orig/libobjc/configure
-+++ gcc-4.9.1/libobjc/configure
+--- libobjc/configure.orig
++++ libobjc/configure
 @@ -6794,7 +6794,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -167,10 +167,10 @@ Index: gcc-4.9.1/libobjc/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libquadmath/configure
+Index: libquadmath/configure
 ===================================================================
---- gcc-4.9.1.orig/libquadmath/configure
-+++ gcc-4.9.1/libquadmath/configure
+--- libquadmath/configure.orig
++++ libquadmath/configure
 @@ -6986,7 +6986,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -180,10 +180,10 @@ Index: gcc-4.9.1/libquadmath/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libsanitizer/configure
+Index: libsanitizer/configure
 ===================================================================
---- gcc-4.9.1.orig/libsanitizer/configure
-+++ gcc-4.9.1/libsanitizer/configure
+--- libsanitizer/configure.orig
++++ libsanitizer/configure
 @@ -8506,7 +8506,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -193,10 +193,10 @@ Index: gcc-4.9.1/libsanitizer/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libssp/configure
+Index: libssp/configure
 ===================================================================
---- gcc-4.9.1.orig/libssp/configure
-+++ gcc-4.9.1/libssp/configure
+--- libssp/configure.orig
++++ libssp/configure
 @@ -7123,7 +7123,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -206,10 +206,10 @@ Index: gcc-4.9.1/libssp/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libstdc++-v3/configure
+Index: libstdc++-v3/configure
 ===================================================================
---- gcc-4.9.1.orig/libstdc++-v3/configure
-+++ gcc-4.9.1/libstdc++-v3/configure
+--- libstdc++-v3/configure.orig
++++ libstdc++-v3/configure
 @@ -7856,7 +7856,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -219,10 +219,10 @@ Index: gcc-4.9.1/libstdc++-v3/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/libvtv/configure
+Index: libvtv/configure
 ===================================================================
---- gcc-4.9.1.orig/libvtv/configure
-+++ gcc-4.9.1/libvtv/configure
+--- libvtv/configure.orig
++++ libvtv/configure
 @@ -8614,7 +8614,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -232,10 +232,10 @@ Index: gcc-4.9.1/libvtv/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/lto-plugin/configure
+Index: lto-plugin/configure
 ===================================================================
---- gcc-4.9.1.orig/lto-plugin/configure
-+++ gcc-4.9.1/lto-plugin/configure
+--- lto-plugin/configure.orig
++++ lto-plugin/configure
 @@ -6804,7 +6804,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)
@@ -245,10 +245,10 @@ Index: gcc-4.9.1/lto-plugin/configure
  	  _lt_dar_allow_undefined='${wl}-flat_namespace ${wl}-undefined ${wl}suppress' ;;
  	10.*)
  	  _lt_dar_allow_undefined='${wl}-undefined ${wl}dynamic_lookup' ;;
-Index: gcc-4.9.1/zlib/configure
+Index: zlib/configure
 ===================================================================
---- gcc-4.9.1.orig/zlib/configure
-+++ gcc-4.9.1/zlib/configure
+--- zlib/configure.orig
++++ zlib/configure
 @@ -6594,7 +6594,7 @@ $as_echo "$lt_cv_ld_force_load" >&6; }
        case ${MACOSX_DEPLOYMENT_TARGET-10.0},$host in
  	10.0,*86*-darwin8*|10.0,*-darwin[91]*)