diff --git a/Makefile b/Makefile
index 2e7f814..ec597f1 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
 MKDIR  = mkdir -p
-prefix = /usr
+prefix = @PREFIX@
 bindir = $(prefix)/bin
 TOOLS = assistant \
 	designer \
@@ -60,18 +60,18 @@ distclean:
 
 install:
 	cd src/qtchooser && $(MAKE) install
-	for tool in $(TOOLS); do ln -sf qtchooser "$(INSTALL_ROOT)$(bindir)/$$tool"; done
+	for tool in $(TOOLS); do ln -sf qtchooser-mp "$(DESTDIR)$(bindir)/$$tool"; done
 	case `uname -s` in Darwin) \
-	    for tool in $(MACTOOLS); do ln -sf qtchooser "$(INSTALL_ROOT)$(bindir)/$$tool"; done \
+	    for tool in $(MACTOOLS); do ln -sf qtchooser-mp "$(DESTDIR)$(bindir)/$$tool"; done \
 	;; esac
-	$(MKDIR) $(INSTALL_ROOT)$(prefix)/share/man/man1
-	install -m 644 -p doc/qtchooser.1 $(INSTALL_ROOT)$(prefix)/share/man/man1
+	$(MKDIR) $(DESTDIR)$(prefix)/share/man/man1
+	install -m 644 -p doc/qtchooser.1 $(DESTDIR)$(prefix)/share/man/man1/qtchooser-mp.1
 
 uninstall:
 	cd src/qtchooser && $(MAKE) uninstall
-	-for tool in $(TOOLS); do rm -f "$(INSTALL_ROOT)$(bindir)/$$tool"; done
+	-for tool in $(TOOLS); do rm -f "$(DESTDIR)$(bindir)/$$tool"; done
 	case `uname -s` in Darwin) \
-	    for tool in $(MACTOOLS); do rm -f "$(INSTALL_ROOT)$(bindir)/$$tool"; done \
+	    for tool in $(MACTOOLS); do rm -f "$(DESTDIR)$(bindir)/$$tool"; done \
 	;; esac
 
 tests/auto/Makefile: tests/auto/auto.pro
diff --git a/src/qtchooser/Makefile b/src/qtchooser/Makefile
index 6ad619a..2384ec4 100644
--- a/src/qtchooser/Makefile
+++ b/src/qtchooser/Makefile
@@ -1,4 +1,4 @@
-prefix = /usr
+prefix = @PREFIX@
 bindir = $(prefix)/bin
 
 ####### Compiler, tools and options
@@ -12,7 +12,7 @@ MKDIR         = mkdir -p
 
 SOURCES       = main.cpp
 OBJECTS       = main.o
-TARGET        = qtchooser
+TARGET        = qtchooser-mp
 
 OBJECTS_TEST  = main-test.o
 TARGET_TEST   = test/qtchooser
@@ -43,11 +43,11 @@ distclean: clean
 	-$(DEL_FILE) $(TARGET) $(TARGET_TEST)
 
 install: $(TARGET)
-	$(MKDIR) "$(INSTALL_ROOT)$(bindir)"
-	$(INSTALL_PROGRAM) $(TARGET) "$(INSTALL_ROOT)$(bindir)/$(TARGET)"
+	$(MKDIR) "$(DESTDIR)$(bindir)"
+	$(INSTALL_PROGRAM) $(TARGET) "$(DESTDIR)$(bindir)/$(TARGET)"
 
 uninstall:
-	-$(DEL_FILE) "$(INSTALL_ROOT)$(bindir)/$(TARGET)"
+	-$(DEL_FILE) "$(DESTDIR)$(bindir)/$(TARGET)"
 
 
 ####### Compile
diff --git a/src/qtchooser/main.cpp b/src/qtchooser/main.cpp
index d028ee6..3468f97 100644
--- a/src/qtchooser/main.cpp
+++ b/src/qtchooser/main.cpp
@@ -82,7 +82,7 @@
 
 using namespace std;
 
-static const char myName[] = "qtchooser" EXE_SUFFIX;
+static const char myName[] = "qtchooser-mp" EXE_SUFFIX;
 static const char confSuffix[] = ".conf";
 
 static const char *argv0;
@@ -152,9 +152,9 @@ private:
 int ToolWrapper::printHelp()
 {
     puts("Usage:\n"
-         "  qtchooser { -l | -list-versions | -print-env }\n"
-         "  qtchooser -install [-f] [-local] <name> <path-to-qmake>\n"
-         "  qtchooser -run-tool=<tool name> [-qt=<Qt version>] [program arguments]\n"
+         "  qtchooser-mp { -l | -list-versions | -print-env }\n"
+         "  qtchooser-mp -install [-f] [-local] <name> <path-to-qmake>\n"
+         "  qtchooser-mp -run-tool=<tool name> [-qt=<Qt version>] [program arguments]\n"
          "  <executable name> [-qt=<Qt version>] [program arguments]\n"
          "\n"
          "Environment variables accepted:\n"
@@ -454,7 +454,7 @@ vector<string> ToolWrapper::searchPaths() const
     paths.push_back(localDir);
 
     // search the XDG config location directories
-    vector<string> xdgPaths = stringSplit(qgetenv("XDG_CONFIG_DIRS", "/etc/xdg").c_str());
+    vector<string> xdgPaths = stringSplit(qgetenv("XDG_MACPORTS_CONFIG_DIRS", "@PREFIX@/etc/xdg").c_str());
     paths.insert(paths.end(), xdgPaths.begin(), xdgPaths.end());
 
 #if defined(QTCHOOSER_GLOBAL_DIR)
@@ -465,7 +465,7 @@ vector<string> ToolWrapper::searchPaths() const
 #endif
 
     for (vector<string>::iterator it = paths.begin(); it != paths.end(); ++it)
-        *it += "/qtchooser/";
+        *it += "/qtchooser-mp/";
 
     return paths;
 }
diff --git a/src/qtchooser/qtchooser.pro b/src/qtchooser/qtchooser.pro
index 6037e5c..fce3942 100644
--- a/src/qtchooser/qtchooser.pro
+++ b/src/qtchooser/qtchooser.pro
@@ -2,5 +2,6 @@ TEMPLATE = app
 DESTDIR = ../../bin
 CONFIG -= qt
 SOURCES += main.cpp Makefile
+TARGET = qtchooser-mp
 
 error("This .pro file is not meant to be used to build")
diff --git a/doc/qtchooser.1 b/doc/qtchooser.1
index 4c9bb83..5e8572e 100644
--- a/doc/qtchooser.1
+++ b/doc/qtchooser.1
@@ -1,15 +1,15 @@
 .TH QTCHOOSER 1 "JANUARY 2, 2013"
 .\" Please adjust this date whenever revising the manpage.
 .SH NAME
-qtchooser \- a wrapper used to select between Qt development binary versions
+qtchooser-mp \- a wrapper used to select between Qt development binary versions
 .SH SYNOPSIS
-.B qtchooser
+.B qtchooser-mp
 \fB\-list\-versions\fR
 .br
-.B qtchooser
+.B qtchooser-mp
 \fB\-print\-env\fR [\fB\-qt=\fIversion\fR]
 .br
-.B qtchooser
+.B qtchooser-mp
 \fB\-run\-tool=\fItool\fR [\fB\-qt=\fIversion\fR] [\fIprogram_arguments\fR]
 .br
 .B <executable_name>
@@ -26,7 +26,7 @@ or local Qt builds are to be used.
 It is commonly used via a symlink from an \fIexecutable_name\fR like qmake.
 .SH OPTIONS
 The options which apply to the
-\fBqtchooser\fR
+\fBqtchooser-mp\fR
 command are:
 .PP
 \fB\-list\-versions\fR
@@ -51,14 +51,14 @@ Runs the selected \fItool\fR.
 .SH ENVIRONMENT
 .TP
 .B QTCHOOSER_NO_GLOBAL_DIR
-If qtchooser has been built with \fBQTCHOOSER_GLOBAL_DIR\fR (predefined search
-paths for qtchooser's configuration files, useful in some distros), setting this
+If qtchooser-mp has been built with \fBQTCHOOSER_GLOBAL_DIR\fR (predefined search
+paths for qtchooser-mp's configuration files, useful in some distros), setting this
 variable will override its effect.
 .RE
 .TP
 .B QT_SELECT
 Same as \fB\-qt=\fIversion\fR. If set, the selected configuration is used and binaries
-symlinked to qtchooser will be executed without additional parameters.
+symlinked to qtchooser-mp will be executed without additional parameters.
 .RE
 .TP
 .B XDG_CONFIG_HOME
@@ -68,17 +68,18 @@ Used as specified in
 <\fBhttp://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html\fR>
 .SH FILES
 .TP
-.I /etc/xdg/qtchooser/*.conf
+.I <MacPorts prefix>/etc/xdg/qtchooser-mp/*.conf
 System-wide configuration files. Each has two lines, the first is the path
 to the binaries and the second is the path to the Qt libraries. If a
 \fIdefault.conf\fR is provided, the settings from it will be automatically
-used in case nothing else is selected.
+used in case nothing else is selected. \fI<MacPorts prefix>\fR is the location
+where you installed MacPorts, typically \fI/opt/local\fR.
 .TP
-.I \fB$HOME\fP/.config/qtchooser/*.conf
+.I \fB$HOME\fP/.config/qtchooser-mp/*.conf
 User configuration files.
 
 .SH AUTHOR
-qtchooser was written by Thiago Macieira from Intel.
+qtchooser-mp was written by Thiago Macieira from Intel.
 .PP
 This manual page was written by Timo Jyrinki <timo@debian.org>,
 for the Debian project (but may be used by others).