--- _orig/security/log2timeline/Portfile	2014-08-13 02:30:54.000000000 -0400
+++ security/log2timeline/Portfile	2014-11-30 15:27:08.000000000 -0500
@@ -1,12 +1,12 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id: Portfile 123699 2014-08-13 06:30:25Z mojca@macports.org $
+# $Id: Portfile 117001 2014-02-12 10:07:53Z ryandesign@macports.org $
 
 PortSystem          1.0
 PortGroup           perl5 1.0
 
 name                log2timeline
 version             0.65
-revision            2
+revision            3
 categories          security
 platforms           darwin
 maintainers         yahoo.fr:jul_bsd openmaintainer
@@ -34,98 +34,40 @@
 
 post-destroot {
     eval delete [glob ${destroot}${prefix}/lib/perl5/*/*/perllocal.pod]
-    ln -s ${perl5.bindir}/sitebin/log2timeline ${destroot}${prefix}/bin/
+    ln -s ${prefix}/libexec/perl${perl5.major}/sitebin/log2timeline ${destroot}${prefix}/bin/
 }
 
 livecheck.type      regex
 livecheck.url       ${homepage}downloads/list
-## FIXME! port version empty ?!
 livecheck.regex     ${name}_(\\d+(\\.\[0-9a-z\]+)+)${extract.suffix}
 
-variant perl5_12 conflicts perl5_18 perl5_16 description { Perl bindings with perl 5.12} {
-    depends_lib         port:perl5.12 \
-                        port:p5.12-archive-zip \
-                        port:p5.12-carp-assert \
-                        port:p5.12-datetime-format-strptime \
-                        port:p5.12-datetime-timezone \
-                        port:p5.12-dbd-sqlite \
-                        port:p5.12-dbi \
-                        port:p5.12-digest-crc \
-                        port:p5.12-gtk2 \
-                        port:p5.12-html-parser \
-                        port:p5.12-html-scrubber \
-                        port:p5.12-image-exiftool \
-                        port:p5.12-libwww-perl \
-                        port:p5.12-net-pcap \
-                        port:p5.12-netpacket \
-                        port:p5.12-xml-libxml \
-                        port:p5.12-datemanip \
-                        port:p5.12-parse-win32registry \
-                        port:p5.12-file-mork \
-                        port:p5.12-data-hexify \
-                        port:p5.12-version \
-                        port:p5.12-params-validate \
-                        port:p5.12-xml-entities \
-                        port:p5.12-mac-propertylist
-    configure.cmd       ${prefix}/bin/perl5.12 Makefile.PL
-}
-
-variant perl5_16 conflicts perl5_18 perl5_12 description { Perl bindings with perl 5.16} {
-    depends_lib         port:perl5.16 \
-                        port:p5.16-archive-zip \
-                        port:p5.16-carp-assert \
-                        port:p5.16-datetime-format-strptime \
-                        port:p5.16-datetime-timezone \
-                        port:p5.16-dbd-sqlite \
-                        port:p5.16-dbi \
-                        port:p5.16-digest-crc \
-                        port:p5.16-gtk2 \
-                        port:p5.16-html-parser \
-                        port:p5.16-html-scrubber \
-                        port:p5.16-image-exiftool \
-                        port:p5.16-libwww-perl \
-                        port:p5.16-net-pcap \
-                        port:p5.16-netpacket \
-                        port:p5.16-xml-libxml \
-                        port:p5.16-datemanip \
-                        port:p5.16-parse-win32registry \
-                        port:p5.16-file-mork \
-                        port:p5.16-data-hexify \
-                        port:p5.16-version \
-                        port:p5.16-params-validate \
-                        port:p5.16-xml-entities \
-                        port:p5.16-mac-propertylist
-    configure.cmd       ${prefix}/bin/perl5.16 Makefile.PL
-}
+perl5.branches      5.12 5.14 5.16 5.18 5.20 
+perl5.default_branch 5.20
+perl5.create_variants ${perl5.branches}
+
+depends_lib         port:perl${perl5.major} \
+                        port:p${perl5.major}-archive-zip \
+                        port:p${perl5.major}-carp-assert \
+                        port:p${perl5.major}-datetime-format-strptime \
+                        port:p${perl5.major}-datetime-timezone \
+                        port:p${perl5.major}-dbd-sqlite \
+                        port:p${perl5.major}-dbi \
+                        port:p${perl5.major}-digest-crc \
+                        port:p${perl5.major}-gtk2 \
+                        port:p${perl5.major}-html-parser \
+                        port:p${perl5.major}-html-scrubber \
+                        port:p${perl5.major}-image-exiftool \
+                        port:p${perl5.major}-libwww-perl \
+                        port:p${perl5.major}-net-pcap \
+                        port:p${perl5.major}-netpacket \
+                        port:p${perl5.major}-xml-libxml \
+                        port:p${perl5.major}-datemanip \
+                        port:p${perl5.major}-parse-win32registry \
+                        port:p${perl5.major}-file-mork \
+                        port:p${perl5.major}-data-hexify \
+                        port:p${perl5.major}-version \
+                        port:p${perl5.major}-params-validate \
+                        port:p${perl5.major}-xml-entities \
+                        port:p${perl5.major}-mac-propertylist
+configure.cmd       ${prefix}/bin/perl${perl5.major} Makefile.PL
 
-variant perl5_18 conflicts perl5_16 perl5_12 description { Perl bindings with perl 5.18} {
-    depends_lib         port:perl5.18 \
-                        port:p5.18-archive-zip \
-                        port:p5.18-carp-assert \
-                        port:p5.18-datetime-format-strptime \
-                        port:p5.18-datetime-timezone \
-                        port:p5.18-dbd-sqlite \
-                        port:p5.18-dbi \
-                        port:p5.18-digest-crc \
-                        port:p5.18-gtk2 \
-                        port:p5.18-html-parser \
-                        port:p5.18-html-scrubber \
-                        port:p5.18-image-exiftool \
-                        port:p5.18-libwww-perl \
-                        port:p5.18-net-pcap \
-                        port:p5.18-netpacket \
-                        port:p5.18-xml-libxml \
-                        port:p5.18-datemanip \
-                        port:p5.18-parse-win32registry \
-                        port:p5.18-file-mork \
-                        port:p5.18-data-hexify \
-                        port:p5.18-version \
-                        port:p5.18-params-validate \
-                        port:p5.18-xml-entities \
-                        port:p5.18-mac-propertylist
-    configure.cmd       ${prefix}/bin/perl5.18 Makefile.PL
-}
-
-if {![variant_isset perl5_12] && ![variant_isset perl5_16] && ![variant_isset perl5_18]} {
-    default_variants    +perl5_16
-}