--- /Users/julien/tmp/myports/_orig/www/mod_evasive/Portfile	2013-07-15 12:02:08.000000000 -0400
+++ www/mod_evasive/Portfile	2014-10-26 13:23:52.000000000 -0400
@@ -3,64 +3,66 @@
 
 PortSystem 1.0
 
-name		mod_evasive
-version		1.10.1
-categories	www
-platforms	darwin
-maintainers	touche.fr.st:julien.touche
-description	apache module against DDoS
-long_description	mod_evasive is an evasive maneuvers module for \
-			Apache to provide evasive action in the event of an \
-			HTTP DoS or DDoS attack or brute force attack. It is \
-			also designed to be a detection and network management \
-			tool, and can be easily configured to talk to \
-			ipchains, firewalls, routers, and etcetera. \
-			mod_evasive presently reports abuses via email and \
-			syslog facilities.
-
-homepage	http://www.zdziarski.com/blog/?page_id=442
-master_sites	http://www.zdziarski.com/blog/wp-content/uploads/2010/02/
-distname	${name}_${version}
-checksums   sha1    7240481f9f7b0f80693787a73a2bfd9bfec6f274 \
-            rmd160  1ce741bf3f3bbc0cc81a9aa73311b08a68bd454e
+name                mod_evasive
+version             1.10.1
+categories          www
+platforms           darwin
+maintainers         nomaintainer
+description         apache module against DDoS
+long_description    mod_evasive is an evasive maneuvers module for \
+                    Apache to provide evasive action in the event of an \
+                    HTTP DoS or DDoS attack or brute force attack. It is \
+                    also designed to be a detection and network management \
+                    tool, and can be easily configured to talk to \
+                    ipchains, firewalls, routers, and etcetera. \
+                    mod_evasive presently reports abuses via email and \
+                    syslog facilities.
+license             GPL-2
+
+checksums           rmd160  1ce741bf3f3bbc0cc81a9aa73311b08a68bd454e \
+                    sha256  07c45139aa313899484a900f0fc162b3e17eb4f60fe474d7f3dd6c9941e95667
+
+homepage            http://www.zdziarski.com/blog/?page_id=442
+master_sites        http://www.zdziarski.com/blog/wp-content/uploads/2010/02/
+distname            ${name}_${version}
 
-set worksrcdir	${name}
+set worksrcdir    ${name}
 set apachedir   apache2
 set cversion    "20"
 
-use_configure	no
+use_configure    no
 
-variant apache1 conflicts apache2 {
-    depends_lib	port:apache
+variant apache1 description "Apache 1.x module" conflicts apache2 {
+    depends_lib    port:apache
     set apachedir apache
     set cversion ""
-    build.args	-c -o ${name}.so ${name}.c
+    build.args    -c -o ${name}.so ${name}.c
 }
 
-variant apache2 conflicts apache1 {
-    depends_lib	port:apache2
+variant apache2 description "Apache 2.x module" conflicts apache1 {
+    depends_lib    port:apache2
     set apachedir apache2
     set cversion "20"
-    build.args	-c -o ${name}${cversion}.so ${name}${cversion}.c
+    build.args    -c -o ${name}${cversion}.so ${name}${cversion}.c
 }
 
-build.cmd	${prefix}/${apachedir}/bin/apxs
+build.cmd    ${prefix}/${apachedir}/bin/apxs
 build.target
 
-destroot.violate_mtree	yes
+destroot.violate_mtree    yes
 
 destroot {
-	xinstall -m 755 -d \
-	    ${destroot}${prefix}/${apachedir}/modules \
-		${destroot}${prefix}/share/doc/${name}
-	xinstall -m 644 ${worksrcpath}/.libs/${name}${cversion}.so \
-		${destroot}${prefix}/apache2/modules
-	xinstall -m 644 -W ${worksrcpath} CHANGELOG LICENSE README \
-		${destroot}${prefix}/share/doc/${name}
+    xinstall -m 755 -d \
+        ${destroot}${prefix}/${apachedir}/modules \
+        ${destroot}${prefix}/share/doc/${name}
+    xinstall -m 644 ${worksrcpath}/.libs/${name}${cversion}.so \
+        ${destroot}${prefix}/apache2/modules
+    xinstall -m 644 -W ${worksrcpath} CHANGELOG LICENSE README \
+        ${destroot}${prefix}/share/doc/${name}
 }
 
 post-destroot {
-	exec    ${prefix}/${apachedir}/bin/apxs -e \
+    exec    ${prefix}/${apachedir}/bin/apxs -e \
             -S SYSCONFDIR=${prefix}/${apachedir}/conf/standard \
             -S TARGET=00000-dso \
             -n "evasive_module" \
@@ -75,3 +77,12 @@
 }
 
 if { ![variant_isset apache1] } { default_variants +apache2 }
+
+notes "This port has received no updates since 2010. You are strongly encouraged to use maintained alternatives.
+"
+
+## always get 503, 404 in macport while working manually...
+livecheck.type      none
+#livecheck.type      regex
+#livecheck.url       ${homepage}
+#livecheck.regex     "mod_evasive_(\\d+(?:\\.\\d+)*).tar.gz"