--- /Users/julien/tmp/myports/_orig/www/mod_security/Portfile	2013-07-15 12:02:07.000000000 -0400
+++ www/mod_security/Portfile	2014-07-18 17:27:58.000000000 -0400
@@ -1,45 +1,64 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id: Portfile 73092 2010-11-03 22:13:28Z jmr@macports.org $
-PortSystem 1.0
-name		mod_security
-version		1.8.6
-categories	www security
-maintainers	touche.fr.st:julien.touche
-description	intrusion detection and prevention engine for web applications
-long_description	ModSecurity is an open source intrusion detection and \
-			prevention engine for web applications. It operates \
-			embedded into the web server, acting as a powerful \
-			umbrella - shielding applications from attacks. \
-			It supports both branches of the Apache web server.
-homepage	http://www.modsecurity.org/
-master_sites	sourceforge:macports
-platforms	darwin 
-checksums	md5 f6bf4724dd0db3d37586b64bc0ee160d \
-		sha1 9b6df25f3e5cf97b7c18caba79f90dca54800368
 
-use_configure	no
+PortSystem  1.0
+
+name                mod_security
+version             1.9.5
+categories          www security
+maintainers         nomaintainer
+description         intrusion detection and prevention engine for web applications
+long_description    ModSecurity is an open source intrusion detection and \
+                    prevention engine for web applications. It operates \
+                    embedded into the web server, acting as a powerful \
+                    umbrella - shielding applications from attacks. \
+                    It supports both branches of the Apache web server.
+homepage            http://www.modsecurity.org/
+license             GPL-2
+platforms           darwin
+## http://sourceforge.net/projects/mod-security/files/modsecurity-apache/1.9.5/
+#master_sites    sourceforge:macports
+#master_sites    sourceforge:mod-security/files/modsecurity-apache/${version}/        # NOK
+#master_sites    sourceforge:projects/mod-security/files/modsecurity-apache/${version}/    # NOK
+#master_sites    sourceforge:project/mod-security/files/modsecurity-apache/${version}/    # NOK
+#master_sites    sourceforge:modsecurity-apache/${version}/                # NOK
+master_sites        sourceforge:projects/mod-security/files/modsecurity-apache/${version}/
+distname            modsecurity-apache_${version}
+
+checksums           rmd160  f36f29f75bb30ca80ebaf5a96aa951e9de475d03 \
+                    sha256  927fafbce4fc11d32fe808a46c62da335a8703a6d18c22aadb7dd9692cf752a5
+
+use_configure    no
 
 #variant apache1 {
-	depends_lib port:apache
-	build.cmd	${prefix}/sbin/apxs
-	set apachedir	apache
-	set apachever	apache1
+    depends_lib port:apache
+    build.cmd    ${prefix}/sbin/apxs
+    set apachedir    apache
+    set apachever    apache1
 #}
 
-#variant apache2	{
-#	depends_lib	port:apache2
-#	build.cmd	${prefix}/apache2/bin/apxs
-#	set apachedir	apache2
-#	set apachever	apache2
+#variant apache2    {
+#    depends_lib    port:apache2
+#    build.cmd    ${prefix}/apache2/bin/apxs
+#    set apachedir    apache2
+#    set apachever    apache2
 #}
 
-build.args	-c -o ${name}.so ${apachever}/${name}.c
+build.args    -c -o ${name}.so ${apachever}/${name}.c
 build.target
 
 destroot {
-	xinstall -d -m 755 ${destroot}${prefix}/libexec/${apachedir} \
-		${destroot}${prefix}/share/doc/${name}
-	xinstall -m 755 ${worksrcpath}/${name}.so \
-		${destroot}${prefix}/libexec/${apachedir}/
-	xinstall -m 644 -W ${worksrcpath} CHANGES INSTALL LICENSE README \
-		${destroot}${prefix}/share/doc/${name}
+    xinstall -d -m 755 ${destroot}${prefix}/libexec/${apachedir} \
+        ${destroot}${prefix}/share/doc/${name}
+    xinstall -m 755 ${worksrcpath}/${name}.so \
+        ${destroot}${prefix}/libexec/${apachedir}/
+    xinstall -m 644 -W ${worksrcpath} CHANGES INSTALL LICENSE README \
+        ${destroot}${prefix}/share/doc/${name}
 }
+
+notes "mod_security ${version} has been released on 2009.01.22. You are strongly encouraged to use mod_security2 or other maintained alternatives.
+"
+
+livecheck.type      regex
+livecheck.url       http://sourceforge.net/projects/mod-security/files/modsecurity-apache/
+livecheck.regex     "<a href=\"/projects/mod-security/files/modsecurity-apache/(1(?:\\.\\d+)*)/\""