Index: Portfile
===================================================================
--- Portfile	(revision 140986)
+++ Portfile	(working copy)
@@ -3,11 +3,11 @@
 
 PortSystem              1.0
 PortGroup               cmake 1.0
+PortGroup               qt4 1.0
 PortGroup               compilers 1.0
 
 name                    freecad
-version                 0.14.3702
-revision                1
+version                 0.15.4671
 categories              cad
 platforms               darwin
 maintainers             gmail.com:mark.brethen \
@@ -27,9 +27,11 @@
 
 homepage                http://www.freecadweb.org/
 master_sites            sourceforge:project/free-cad/FreeCAD%20Source/
+distname                ${name}_${version}
+worksrcdir              ${name}-${version}
 
-checksums               rmd160 b62582b1283c874f07d9407c7e7a87bb94591f66 \
-                        sha256 ee24cf3542bfb1a887a12d2df52458bcc0e3e82679370c449b9d8b5b473b9dc9
+checksums               rmd160 384e482431c45872af24abb0228ef0aa8c864186 \
+                        sha256 8dda8f355cb59866a55c9c6096f39a3ebc5347892284db4c305352cc9be03bbc
 
 depends_lib-append      port:python27 \
                         port:boost \
@@ -38,19 +40,18 @@
                         port:oce \
                         port:swig \
                         port:eigen3 \
-                        port:qt4-mac \
                         port:freetype \
                         port:Coin-framework \
                         port:SoQt \
                         port:py27-shiboken \
                         port:py27-pyside \
+                        port:py27-pyside-tools \
                         port:swig-python
 
 depends_run             port:qt4-mac-sqlite3-plugin
 
 patchfiles              cMake-FindCoin3D.cmake.diff \
-                        src-App-FreeCADInit.py.diff \
-                        src-Mod-Sketcher-CMakeLists.txt.diff
+                        src-App-FreeCADInit.py.diff
 
 post-patch {
     reinplace "s|QLibraryInfo::location.*|QLatin1String\(\"${applications_dir}/Qt4/\"\);|" \
@@ -61,7 +62,7 @@
 }
 
 compilers.choose        fc
-compilers.setup         -dragonegg -g95 -gcc gcc48 require_fortran
+compilers.setup         -dragonegg -g95 require_fortran
 
 configure.args-delete   -DCMAKE_INSTALL_RPATH=${prefix}/lib \
                         -DCMAKE_INSTALL_NAME_DIR=${prefix}/lib
@@ -71,7 +72,9 @@
                         -DCMAKE_INSTALL_PREFIX=${prefix}/libexec/${name} \
                         -DCMAKE_INSTALL_DATADIR=${prefix}/share/${name} \
                         -DCMAKE_INSTALL_DOCDIR=${prefix}/share/doc/${name} \
-                        -DCMAKE_FRAMEWORK_PATH=${frameworks_dir}
+                        -DCMAKE_FRAMEWORK_PATH=${frameworks_dir} \
+                        -DPYSIDEUIC4BINARY=${prefix}/bin/pyside-uic-2.7 \
+                        -DPYSIDERCC4BINARY=${prefix}/bin/pyside-rcc-2.7
 
 pre-configure {
     # The c++ compiler is used for linking instead of fc.
@@ -81,7 +84,7 @@
     configure.ldflags-append "-L[file dirname ${libgfortran}]"
 
     set python_prefix [exec ${prefix}/bin/python2.7-config --prefix]
-    configure.args-append   -DFREECAD_BUILD_ROBOT=OFF \
+    configure.args-append -DBUILD_ROBOT=NO \
         -DPYTHON_LIBRARY=${python_prefix}/Python \
         -DPYTHON_INCLUDE_DIR=${python_prefix}/Headers \
         -DPYTHON_EXECUTABLE=${python_prefix}/bin/python2.7 \
@@ -97,6 +100,18 @@
 
     ln -s ${prefix}/libexec/${name}/bin/FreeCADCmd \
         ${destroot}${prefix}/bin
+
+    # create stub App
+    set appdir ${destroot}${applications_dir}/FreeCAD.app
+    xinstall -d ${appdir}/Contents/MacOS
+    xinstall -d ${appdir}/Contents/Resources
+
+    xinstall -m 644 ${filespath}/Info.plist ${appdir}/Contents/
+    xinstall -m 644 ${filespath}/FreeCAD.icns ${appdir}/Contents/Resources/
+    xinstall -m 755 ${filespath}/FreeCAD ${appdir}/Contents/MacOS
+
+    reinplace -W ${appdir}/Contents "s,@@VERSION@@,${version},g" Info.plist
+    reinplace -W ${appdir}/Contents/MacOS "s,@@PREFIX@@,${prefix},g" FreeCAD
 }
 
 livecheck.regex         ${name}.(\[0-9.\]+)${extract.suffix}
Index: files/FreeCAD
===================================================================
--- files/FreeCAD	(nonexistent)
+++ files/FreeCAD	(working copy)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+@@PREFIX@@/bin/freecad
Index: files/FreeCAD.icns
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: files/FreeCAD.icns
===================================================================
--- files/FreeCAD.icns	(nonexistent)
+++ files/FreeCAD.icns	(working copy)

Property changes on: files/FreeCAD.icns
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: files/Info.plist
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: files/Info.plist
===================================================================
--- files/Info.plist	(nonexistent)
+++ files/Info.plist	(working copy)

Property changes on: files/Info.plist
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/xml
\ No newline at end of property
Index: files/src-App-FreeCADInit.py.diff
===================================================================
--- files/src-App-FreeCADInit.py.diff	(revision 140986)
+++ files/src-App-FreeCADInit.py.diff	(working copy)
@@ -1,6 +1,6 @@
 --- src/App/FreeCADInit.py.orig	2014-07-13 10:33:02.000000000 -0500
 +++ src/App/FreeCADInit.py	2014-07-17 20:19:20.000000000 -0500
-@@ -102,6 +102,7 @@
+@@ -101,6 +101,7 @@
  					Log('Init:      Initializing ' + Dir + '... done\n')
  			else:
  				Log('Init:      Initializing ' + Dir + '(Init.py not found)... ignore\n')
Index: files/src-Mod-Sketcher-CMakeLists.txt.diff
===================================================================
--- files/src-Mod-Sketcher-CMakeLists.txt.diff	(revision 140986)
+++ files/src-Mod-Sketcher-CMakeLists.txt.diff	(nonexistent)
@@ -1,19 +0,0 @@
---- src/Mod/Sketcher/CMakeLists.txt.orig	2014-07-13 10:33:02.000000000 -0500
-+++ src/Mod/Sketcher/CMakeLists.txt	2014-07-18 19:14:23.000000000 -0500
-@@ -11,7 +11,16 @@
-         SketcherExample.py
-         TestSketcherApp.py
-         TestSketcherGui.py
-+        Profiles.py
-     DESTINATION
-         Mod/Sketcher
- )
- 
-+INSTALL(
-+    FILES
-+        ProfileLib/Hexagon.py
-+        ProfileLib/__init__.py
-+    DESTINATION
-+        Mod/Sketcher/ProfileLib
-+)
-+